S3 Copy Object
  • 31 May 2023
  • Dark
    Light

S3 Copy Object

  • Dark
    Light

Article summary

PUThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>

Creates a copy of an object that is already stored in Backblaze B2 Cloud Storage.

Encryption:

If destination encryption headers are omitted, Backblaze encrypts the destination object with SSE-B2 when the destination bucket is enabled.

Object Tagging:

The S3-compatible API does not fully support object tagging. The x-amz-tagging-directive header is allowed on the Copy Object API, but it will be ignored, no matter the value that you supply. Also, note that the x-amz-tagging header will be explicitly rejected if it is included on the Copy Object (or Put Object) API calls. This implementation is provided for compatibility with certain integrations.

Checksum Data:

Checksum data for replicated or copied objects is maintained. If the source object has a checksum algorithm, copied parts and byte ranges will compute the appropriate checksum value of the source's type. Currently, we do not support the ability to use the S3 Copy Object operation to change the checksum algorithm.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

x-amz-copy-source

Required. The name of the source bucket and the key of the source object in the form /.

PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be written.

Example Request

Shell

curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-2' \
--header 'x-amz-copy-source: my-bucket-name/object-1' \
--data ''

Example Response

200 OK

Body

XML

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<CopyObjectResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <ETag>"85f30635602dc09bd85957a6e82a2c21"</ETag>
    <LastModified>2022-01-28T23:25:45.000Z</LastModified>
</CopyObjectResult>


Headers (8)

x-amz-request-id

699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

x-amz-copy-source-version-id

4_z6145af89f355ac2f74ed0c1b_f4030346ce9e208f0_d20220128_m232407_c004_v0402005_t0021

x-amz-version-id

4_z6145af89f355ac2f74ed0c1b_f411debfc7f401b47_d20220128_m232545_c004_v0402003_t0045

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

253

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?